Registry Model Containers - List
列出模型容器。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/models?api-version=2025-09-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/models?api-version=2025-09-01&$skip={$skip}&listViewType={listViewType}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
registry
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$ |
Azure 机器学习注册表的名称。 这不区分大小写 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
|
$skip
|
query |
string |
分页的延续标记。 |
|
|
list
|
query |
用于包括/排除(例如)存档实体的视图类型。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功 |
|
| Other Status Codes |
错误 |
示例
List Registry Model Container.
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models?api-version=2025-09-01
示例响应
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models/testContainer",
"name": "testContainer",
"type": "Microsoft.MachineLearningServices/registries/models",
"properties": {
"description": "Model container description",
"tags": {
"tag1": "value1",
"tag2": "value2"
}
},
"systemData": {
"createdAt": "2020-12-01T12:00:00.000Z",
"createdBy": "John Smith",
"createdByType": "User",
"lastModifiedAt": "2020-12-01T12:00:00.000Z",
"lastModifiedBy": "John Smith",
"lastModifiedByType": "User"
}
}
],
"nextLink": "nextlink"
}
定义
| 名称 | 说明 |
|---|---|
|
Asset |
注册表资产的预配状态。 |
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
List |
|
|
Model |
|
|
Model |
Azure 资源管理器资源信封。 |
|
Model |
ModelContainer 实体的分页列表。 |
|
system |
与创建和上次修改资源相关的元数据。 |
AssetProvisioningState
注册表资产的预配状态。
| 值 | 说明 |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Updating | |
| Deleting |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ListViewType
| 值 | 说明 |
|---|---|
| ActiveOnly | |
| ArchivedOnly | |
| All |
ModelContainer
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| description |
string |
资产说明文本。 |
|
| isArchived |
boolean |
False |
资产是否已存档? |
| latestVersion |
string |
此容器中的最新版本。 |
|
| nextVersion |
string |
下一个自动增量版本 |
|
| properties |
object |
资产属性字典。 |
|
| provisioningState |
模型容器的预配状态。 |
||
| tags |
object |
标记字典。 可以添加、删除和更新标记。 |
ModelContainerResource
Azure 资源管理器资源信封。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
资源的名称 |
| properties |
[必需]实体的其他属性。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
ModelContainerResourceArmPaginatedResult
ModelContainer 实体的分页列表。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
指向 ModelContainer 对象下一页的链接。 如果为 null,则没有其他页面。 |
| value |
类型为 ModelContainer 的对象数组。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |